Name:           cockpit-image-builder
Version:        71
Release:        1.20250714101557320747.pr3103.24.g1b7e6da8%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-72.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Mon Jul 14 2025 Packit <hello@packit.dev> - 71-1.20250714101557320747.pr3103.24.g1b7e6da8
- [wip] playwright tests (Gianluca Zuccarelli)
- cloudConfig: add a popover for creds path (Gianluca Zuccarelli)
- cloudConfig: restart worker on submit (Gianluca Zuccarelli)
- cloudConfig: save the aws configs (Gianluca Zuccarelli)
- store/cockpitApi: add worker config mutation (Gianluca Zuccarelli)
- test/mocks: add cockpit modify (Gianluca Zuccarelli)
- cockpitApi: create worker config file (Gianluca Zuccarelli)
- cloudConfig: toggle aws config (Gianluca Zuccarelli)
- cloudConfig: error component (Gianluca Zuccarelli)
- cockpitApi: get worker config (Gianluca Zuccarelli)
- cockpitApi: add worker config types (Gianluca Zuccarelli)
- cloudConfig: configure the footer (Gianluca Zuccarelli)
- cloudConfig: add aws config fields (Gianluca Zuccarelli)
- chore(deps): update konflux references (red-hat-konflux[bot])
- cloudConfigSlice: add new slice (Gianluca Zuccarelli)
- build(deps-dev): bump @types/node from 24.0.12 to 24.0.13 (dependabot[bot])
- build(deps-dev): bump eslint-plugin-testing-library from 7.5.3 to 7.5.4 (dependabot[bot])
- build(deps-dev): bump @redhat-cloud-services/tsc-transform-imports (dependabot[bot])
- build(deps-dev): bump @currents/playwright from 1.14.1 to 1.15.1 (dependabot[bot])
- devDeps: Bump msw from 2.10.2 to 2.10.3 (regexowl)
- build(deps-dev): bump eslint-plugin-import from 2.31.0 to 2.32.0 (dependabot[bot])
- build(deps-dev): bump @types/node from 24.0.10 to 24.0.12 (dependabot[bot])
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
